Bug 1045018 - scalable jbosseap fail to be migrated when upgrade env following 1.1->1.2->2.0
Summary: scalable jbosseap fail to be migrated when upgrade env following 1.1->1.2->2.0
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cluster Version Operator
Version: 2.0.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: ---
Assignee: Jason DeTiberus
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-19 13:10 UTC by Johnny Liu
Modified: 2014-02-04 18:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-04 18:46:34 UTC
Target Upstream Version:


Attachments (Terms of Use)
upgrade_errors.log (15.90 KB, text/plain)
2013-12-19 13:11 UTC, Johnny Liu
no flags Details

Description Johnny Liu 2013-12-19 13:10:44 UTC
Description of problem:
create a scalable jbosseap app in ose-1.1 env, upgrade it to 1.2->2.0, failure is seen.

Version-Release number of selected component (if applicable):
openshift-enterprise-release-2.0.0c-1.git.21.e364d06.el6op.noarch
openshift-enterprise-upgrade-node-2.0.0c-1.git.21.e364d06.el6op.noarch
openshift-enterprise-upgrade-broker-2.0.0c-1.git.21.e364d06.el6op.noarch
openshift-enterprise-yum-validator-2.0.0c-1.git.21.e364d06.el6op.noarch

How reproducible:
Always

Steps to Reproduce:
1.set up ose-1.1 env
2.create scalable jbosseap on it.
3.upgrade env to 1.2
4.do some change, and git push, make sure it is working well.
5.upgrade env to 2.0


Actual results:
When running 02-node-upgrade-gears, failure is seen for scalable jbosseap app.
Pls refer to attachment for log.

Expected results:
No failure.

Additional info:
If install a ose-1.2, and create scalable jbosseap on it, then upgrade to 2.0, this issue does NOT happen.

Comment 1 Johnny Liu 2013-12-19 13:11:33 UTC
Created attachment 838975 [details]
upgrade_errors.log


Note You need to log in before you can comment on or make changes to this bug.